Summary: The standard Tcl library
Name: tcllib
Version: 1.6
Release: fc2_1
Epoch: 0
License: BSD-like
Group: Development/Libraries
Source: http://download.sourceforge.net/tcllib/tcllib-1.6.tar.bz2
URL: http://tcllib.sourceforge.net/
BuildArchitectures: noarch
Requires: tcl >= 0:8.3.1
BuildRequires: tcl >= 0:8.3.1
BuildRoot: %_tmppath/%name-%version-%release-root-%(%__id_u -n)

%description
Tcllib, the Tcl Standard Library is a collection of Tcl packages
that provide utility functions useful to a large collection of Tcl
programmers.
The home web site for this code is http://tcllib.sourceforge.net/.
At this web site, you will find mailing lists, web forums, databases
for bug reports and feature requests, the CVS repository (browsable
on the web, or read-only accessible via CVS ), and more.
Note: also grab source tarball for more documentation, examples, ...

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT files
# compensate for missing manual files:
echo 'not available' > modules/calendar/calendar.n
%_bindir/tclsh installer.tcl -no-gui -no-wait -no-html -no-examples\
    -pkg-path $RPM_BUILD_ROOT/$(echo 'puts $tcl_library' | %_bindir/tclsh)/%name-%version\
    -nroff-path $RPM_BUILD_ROOT%_mandir/mann
# install HTML documentation into specific modules sub-directories:
cd modules
    mkdir ../ftp; mv ftp/docs/*.html ../ftp/
    for module in exif mime snit stooop struct textutil; do
        mkdir ../$module && mv $module/*.html ../$module/;
    done
cd ..
# fix non standard executable permissions as reported by rpmlint:
# find $RPM_BUILD_ROOT ! -type d -a -perm 0555 | xargs chmod 0755
# generate list of files in the package (man pages are compressed):
find $RPM_BUILD_ROOT ! -type d |\
    sed -e "s,^$RPM_BUILD_ROOT,,;" -e 's,\.n$,\.n\.gz,;' > files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f files
%defattr(-,root,root)
%doc PACKAGES README README-1.6.txt ChangeLog license.terms
%doc exif/ ftp/ mime/ snit/ stooop/ struct/ textutil/


%changelog
* Sun Sep 05 2005 Ralf Spenneberg <ralf@spenneberg.net>
- Fedora Core 2 version

* Thu Feb 19 2004 Jean-Luc Fontaine <jfontain@free.fr> 0:1.6-1
- 1.6 version
- leaner and cleaner spec file based on Fedora standards
- install under tcl_library, not hard-coded /usr/lib
